---
apiVersion: v1
kind: Pod
metadata:
  name: {{ .Release.Name }}-jira
  labels:
    name: {{ .Release.Name }}-jira
spec:
  volumes:
    - name: {{ .Release.Name }}-data
      persistentVolumeClaim:
       claimName: {{ .Release.Name }}-data-claim
  containers:
  - name: {{ .Release.Name }}-jira
    image: {{ .Values.image.repository }}
    ports:
      - containerPort: 8080
        name: 8080tcp
        protocol: TCP
    env:
      - name: ATL_PROXY_NAME
        value: {{ .Values.jira.proxy.name }}
      - name: ATL_PROXY_PORT
        value: "{{ .Values.jira.proxy.port }}"
      - name: JIRA_PROXY_SCHEME
        value: {{ .Values.jira.proxy.scheme }}
      - name: ATL_TOMCAT_CONTEXTPATH
        value: /
      - name: ATL_DB_DRIVER
        value: com.mysql.jdbc.Driver
      - name: ATL_DB_TYPE
        value: mysql
      - name: ATL_JDBC_PASSWORD
        value: {{ .Values.jira.database.password }}
      - name: ATL_JDBC_USER
        value: {{ .Values.jira.database.user }}
      - name: ATL_JDBC_URL
        value: "jdbc:mysql://{{ .Values.jira.database.address }}:3306/{{ .Values.jira.database.name }}?useUnicode=true&characterEncoding=UTF8&sessionVariables=default_storage_engine=InnoDB"
    volumeMounts:
        - mountPath: /var/atlassian/application-data/jira
          name: {{ .Release.Name }}-data